<?php

/**
 * Cloudrexx
 *
 * @link      http://www.cloudrexx.com
 * @copyright Cloudrexx AG 2007-2015
 *
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Cloudrexx" is a registered trademark of Cloudrexx AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 */

/**
 * This is the english language file for backend mode.
 * This file is included by Cloudrexx and all entries are set as placeholder
 * values for backend ACT template by SystemComponentBackendController
 *
 * @copyright   CLOUDREXX CMS - Cloudrexx AG Thun
 * @author      Michael Ritter <michael.ritter@comvation.com>
 * @package     cloudrexx
 * @subpackage  core_wysiwyg
 */

global $_ARRAYLANG;

// Let's start with module info:
$_ARRAYLANG['TXT_CORE_WYSIWYG'] = 'WYSIWYG';
$_ARRAYLANG['TXT_CORE_WYSIWYG_DESCRIPTION'] = 'Dieses Modul dient dazu die WYSIWYG-Vorlagen zu verwalten';

// Here come the ACTs:
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYG_TEMPLATE'] = 'WYSIWYG Vorlagen';
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYG_TEMPLATE_TOOLTIP'] = 'Erstellen Sie hier eine Inhaltsvorlage, welche Sie später im Editor unter Vorlagen auswählen können.';
$_ARRAYLANG['TXT_CORE_WYSIWYG_TEMPLATE_ENTITY'] = 'WysiwygTemplate';

$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYGTEMPLATE'] = 'WYSIWYG Vorlagen';
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYGTEMPLATE_ENTITY'] = 'WYSIWYG Vorlage';
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYGTEMPLATE_TITLE'] = 'Titel';
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYGTEMPLATE_DESCRIPTION'] = 'Beschreibung';
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYGTEMPLATE_ACTIVE'] = 'Aktiv';
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYGTEMPLATE_IMAGE_PATH'] = 'Vorschaubild';
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYGTEMPLATE_HTML_CONTENT'] = 'HTML';
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_WYSIWYGTEMPLATE_STATE'] = 'Status';
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_FUNCTIONS'] = 'Editorfunktionen';

//Settings
$_ARRAYLANG['TXT_CORE_WYSIWYG_ACT_SETTINGS'] = 'Einstellungen';
$_ARRAYLANG['TXT_CORE_WYSIWYG_SPECIFICSTYLESHEET'] = 'Berücksichtigung von spezifischen CSS';
$_ARRAYLANG['TXT_CORE_WYSIWYG_REPLACEACTUALCONTENTS'] = 'Aktuellen Inhalt im WYSIWYG ersetzen';

// Functions
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_CONFIGURATOR'] = 'Editorfunktionen';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_FUNC_DESC'] = 'Wählen Sie die Funktionen aus, welche im WYSIWYG-Editor zur Verfügung stehen sollen.';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_FUNC_DESC_INFO_GROUPS'] = 'Der Funktionsumfang des WYSIWYG-Editors kann pro Benutzergruppe (unter %s) weiter eingeschränkt werden.';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_SAVE'] = 'Speichern';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_MODE'] = 'Modus';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_DOCUMENT'] = 'Inhalt löschen';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_DOCUMENT_TOOLS'] = 'Vorlagen';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_CLIPBOARD'] = 'Zwischenablage';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_UNDO'] = 'Änderungskontrolle';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_FIND'] = 'Suchen & Ersetzen';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_SELECTION'] = 'Auswahl';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_SPELLCHECKER'] = 'Rechtschreibkontrolle';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_BASICSTYLES'] = 'Textformatierung';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_CLEANUP'] = 'Formatierungen entfernen';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_LIST'] = 'Aufzählungslisten';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_INDENT'] = 'Einrücken';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_BLOCKS'] = 'Blöcke';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_ALIGN'] = 'Ausrichtung';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_LINKS'] = 'Verlinkungen';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_INSERT'] = 'Objekte Einfügen';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_STYLES'] = 'Formatierung';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_COLORS'] = 'Farben';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_TOOLS'] = 'Werkzeuge';
$_ARRAYLANG['TXT_WYSIWYG_TOOLBAR_BIDI'] = 'Textrichtung';
