CKEDITOR.on('dialogDefinition', function (event) {
    var editor = event.editor;
    var dialogDefinition = event.data.definition;

    var tabCount = dialogDefinition.contents.length;

    for (var i = 0; i < tabCount; i++) {
        var browseButton = dialogDefinition.contents[i].get('browse');

        if (browseButton !== null) {
            /**
             * Handling image selection.
             */
            if (browseButton.filebrowser.target == 'info:txtUrl') {
                browseButton.hidden = false;
                var filelistCallback = function (callback) {
                    if (callback.type == 'close') {
                        return;
                    }
                    $J.ajax({
                        type: "GET",
                        url: "index.php?cmd=jsondata&object=MediaBrowser&act=createThumbnails&file=" + callback.data[0].datainfo.filepath
                    });
                    var dialog = cx.variables.get('jquery','mediabrowser')(cx.variables.get('thumbnails_template', 'mediabrowser'));
                    var image = dialog.find('.image');
                    image.attr('src', callback.data[0].datainfo.filepath);
                    dialog.find('.thumbnail-size').find('option[value!="0"]').attr('disabled','disabled');
                    for (var property in callback.data[0].datainfo.thumbnail) {
                        if (callback.data[0].datainfo.thumbnail.hasOwnProperty(property)) {
                            dialog.find('.thumbnail-size').find('option[value='+property+']').prop("disabled", false);
                        }
                    }

                    bootbox.dialog({
                        title: cx.variables.get('TXT_FILEBROWSER_SELECT_THUMBNAIL', 'mediabrowser'),
                        message: dialog.html(),
                        buttons: {
                            success: {
                                label: cx.variables.get('TXT_FILEBROWSER_SELECT_THUMBNAIL', 'mediabrowser'),
                                className: "btn-success",
                                callback: function () {
                                    var image, thumbnail = $J("[name='size']").val();
                                    if (thumbnail > 0) {
                                        image = callback.data[0].datainfo.thumbnail[thumbnail];
                                    }
                                    if (!image){
                                        image = callback.data[0].datainfo.filepath;
                                    }
                                    dialogDefinition.dialog.setValueOf('info', 'txtUrl', image);
                                }
                            }
                        }
                    });
                };

                browseButton.onClick = function (dialog, i) {
                    editor._.filebrowserSe = this;
                    //editor.execCommand ('image');
                    cx.variables.get('jquery','mediabrowser')('#ckeditor_image_button').trigger("click", {
                        callback: filelistCallback,
                        cxMbViews: 'filebrowser,uploader',
                        cxMbStartview: 'MediaBrowserList'
                    });
                };

                dialogDefinition.dialog.on('show', function (event) {
                    var that = this;
                    setTimeout(function () {
                        var inputfield = that.getValueOf('info', 'txtUrl');
                        if (inputfield == '') {
                            cx.variables.get('jquery','mediabrowser')('#ckeditor_image_button').trigger("click", {
                                callback: filelistCallback,
                                cxMbViews: 'filebrowser,uploader',
                                cxMbStartview: 'MediaBrowserList'
                            });
                        }
                    }, 2);
                });

            }
            /**
             * Handling node links.
             */
            else if (browseButton.filebrowser.target == 'Link:txtUrl' || browseButton.filebrowser.target == 'info:url'){
                var target = browseButton.filebrowser.target.split(':');
                var sitestructureCallback = function (callback) {
                    if (callback.type == 'close') {
                        return;
                    }

                    dialogDefinition.dialog.setValueOf(target[0], target[1], callback.data[0].node);
                    /**
                     * Protocol field exists only in the info tab.
                     */
                    if (target[0] == 'info'){
                        dialogDefinition.dialog.setValueOf('info','protocol', '');
                    }

                };
                browseButton.hidden = false;
                browseButton.onClick = function (dialog, i) {
                    //editor.execCommand ('image');
                    cx.variables.get('jquery','mediabrowser')('#ckeditor_image_button').trigger("click", {
                        callback: sitestructureCallback,
                        cxMbViews: 'sitestructure',
                        cxMbStartview: 'MediaBrowserList'
                    });
                };

            }
        }

    }
});